Bug 1447743 (CVE-2017-3139) - CVE-2017-3139 bind: assertion failure in DNSSEC validation
Summary: CVE-2017-3139 bind: assertion failure in DNSSEC validation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-3139
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Petr Sklenar ⛄
URL:
Whiteboard: impact=important,public=20170508,repo...
Depends On: 1447407 1447869 1447872 1456915 1456916 1456917 1456919 1458736
Blocks: 1448138
TreeView+ depends on / blocked
 
Reported: 2017-05-03 16:06 UTC by Dhiru Kholia
Modified: 2019-06-08 21:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A denial of service flaw was found in the way BIND handled DNSSEC validation. A remote attacker could use this flaw to make named exit unexpectedly with an assertion failure via a specially crafted DNS response.
Clone Of:
Environment:
Last Closed: 2017-07-25 20:47:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1202 normal SHIPPED_LIVE Important: bind security update 2017-05-08 11:36:03 UTC
Red Hat Product Errata RHSA-2017:1582 normal SHIPPED_LIVE Important: bind security and bug fix update 2017-06-28 13:00:34 UTC

Comment 1 Dhiru Kholia 2017-05-03 16:20:42 UTC
A denial of service flaw was found in the way BIND versions as shipped with RHEL 6 handled DNSSEC validation. A remote attacker could use this flaw to make named exit unexpectedly with an assertion failure via a specially crafted DNS response.

This issue does not affect the upstream versions of BIND.

This issue does not affect BIND configurations which have DNSSEC validation turned off.

Comment 5 Dhiru Kholia 2017-05-05 06:05:29 UTC
Statement:

This issue affected only the BIND versions as shipped with Red Hat Enterprise Linux 6. This issue did not affect any upstream versions of BIND. This issue does not affect BIND configurations which have DNSSEC validation turned off.

Comment 8 errata-xmlrpc 2017-05-08 07:36:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1202 https://access.redhat.com/errata/RHSA-2017:1202

Comment 13 Karthikeyan 2017-06-09 12:15:27 UTC
(In reply to Dhiru Kholia from comment #1)
> A denial of service flaw was found in the way BIND versions as shipped with
> RHEL 6 handled DNSSEC validation. A remote attacker could use this flaw to
> make named exit unexpectedly with an assertion failure via a specially
> crafted DNS response.
> 
> This issue does not affect the upstream versions of BIND.
> 
> This issue does not affect BIND configurations which have DNSSEC validation
> turned off.


Hi Dhiru,

Does it affect the bind version bind-9.8.2-0.47.rc1.el6_8.3.i686/x86_64.rpm.

These are not shipped package after that we have done up-gradation.

Regards,
Karthik

Comment 14 errata-xmlrpc 2017-06-28 09:03:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.5 Telco Extended Update Support
  Red Hat Enterprise Linux 6.6 Telco Extended Update Support
  Red Hat Enterprise Linux 6.7 Extended Update Support
  Red Hat Enterprise Linux 6.6 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support

Via RHSA-2017:1582 https://access.redhat.com/errata/RHSA-2017:1582


Note You need to log in before you can comment on or make changes to this bug.